commit e1bd4f5434d7989d723188e9f2b524ce234bc44d
Author: Rainer Orth <ro@CeBiTec.Uni-Bielefeld.DE>
Date:   Thu May 7 13:26:57 2015

    Support parallel testing in libgomp, part I [PR66005]
    
    ..., while still hard-coding the number of parallel slots to one.
    
            PR testsuite/66005
            libgomp/
            * testsuite/Makefile.am (PWD_COMMAND): New variable.
            (%/site.exp): New target.
            (check_p_numbers0, check_p_numbers1, check_p_numbers2)
            (check_p_numbers3, check_p_numbers4, check_p_numbers5)
            (check_p_numbers6, check_p_numbers, gcc_test_parallel_slots)
            (check_p_subdirs)
            (check_DEJAGNU_libgomp_targets): New variables.
            ($(check_DEJAGNU_libgomp_targets)): New target.
            ($(check_DEJAGNU_libgomp_targets)): New dependency.
            (check-DEJAGNU $(check_DEJAGNU_libgomp_targets)): New targets.
            * testsuite/Makefile.in: Regenerate.
            * testsuite/lib/libgomp.exp: For parallel testing,
            'load_file ../libgomp-test-support.exp'.
    
    Co-authored-by: Thomas Schwinge <thomas@codesourcery.com>
    (cherry picked from commit e797db5c744f7b4e110f23a495fca8e6b8aebe83)

diff --git a/libgomp/testsuite/lib/libgomp.exp b/libgomp/testsuite/lib/libgomp.exp
index 46cce9b8445..e484969c495 100644
--- a/libgomp/testsuite/lib/libgomp.exp
+++ b/libgomp/testsuite/lib/libgomp.exp
@@ -40,7 +40,12 @@ load_gcc_lib torture-options.exp
 load_gcc_lib fortran-modules.exp
 
 # Try to load a test support file, built during libgomp configuration.
-load_file libgomp-test-support.exp
+# Search in '..' vs. '.' to support parallel vs. sequential testing.
+if [info exists ::env(GCC_RUNTEST_PARALLELIZE_DIR)] {
+    load_file ../libgomp-test-support.exp
+} else {
+    load_file libgomp-test-support.exp
+}
 
 set dg-do-what-default run
 

